
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>设计模式与武侠 / iVAN</title>

    <meta name="description" content="设计模式与武侠 本学期学完设计模式,略有感悟,和大家共勉.首先看一下模式的定义: 模式:在某情境下,针对某问题的某种解决方案. 情境:应用某个模式的情况.这应该是不断重复出现的情况. 问题:你想在某情境下达到的目标,但也可以是某情境下的约束. 解决方案:这是我们的目标.一个通用的设计,用来解决约束,达到目标. 通俗版本:如果你发现自己处于某个情境下,面对着所欲达到的目标被一群约束影响着的问题,然而,你能够应用某个设计,克服这些约束并达到该目标,将你领向某个解决方案. 在我看来,&quot;模式&quot;就像武 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">设计模式与武侠</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本学期学完设计模式，略有感悟，和大家共勉。首先看一下模式的定义：</p>
<p>模式：在某情境下，针对某问题的某种解决方案。</p>
<ul>
<li>情境：应用某个模式的情况。这应该是不断重复出现的情况。</li>
<li>问题：你想在某情境下达到的目标，但也可以是某情境下的约束。</li>
<li>解决方案：这是我们的目标。一个通用的设计，用来解决约束，达到目标。</li>
</ul>
<p>通俗版本：如果你发现自己处于某个情境下，面对着所欲达到的目标被一群约束影响着的问题，然而，你能够应用某个设计，克服这些约束并达到该目标，将你领向某个解决方案。<br />
<br />在我看来，“模式”就像武侠小说里的，大侠们使的武功招式（一个模式对应一种武功招式）：</p>
<ol>
<li>就是因为有了武功招式，才让专业习武者和市井流氓打架时的拳打脚踢区分开来；<br />同理，设计模式等专业术语也让专业软件设计师和业余编程爱好者有了本质区别。</li>
<li>武功招式普遍都有一些很响亮的名字，比如太极里的“白鹤亮翅”；<br />同样，每个设计模式都有一个形象贴切的名字，像“观察者模式”。</li>
<li>武功招式，都是由最基本的拳、掌、钩等（或者剑术的刺、劈等）基本招式组成，并以各门各派的“内功心法”为指导，形成能够强身健体、修身养性的招数；<br />设计模式，同样是由最基本的基础元素：抽象、封装、多台、继承组成，并合理遵循贯彻Object-Oriented设计原则，产生富有弹性的类图结构和设计框架。</li>
<li>武功招式会被滥用，初学者做起事情来，处处都是有头有脸的招式，在木板上订枚钉子，好好的榔头不用，非要用什么一阳指、千斤坠；<br />设计模式同样会有如此尴尬，初学者“为了用设计模式而用设计模式”，甚至扬言写个Hello World也要用设计模式，这时候就病入膏肓了。</li>
<li>《笑傲江湖》中，风清扬教令狐冲“独孤九剑”的时候，倾囊相授之后要他尽数忘记。以后在比剑的过程中随心所欲，想起那一招就使出哪一招。<br />悟道（编程之道）者的心智能够看到模式在何处能够自然融入，不必去思考这个地方用“策略模式”好还是用“模板方法模式”好，一切顺其自然。</li>
<li>武学的一种高境界，是无招胜有招，因为但凡是招式，就有其弱点，能被相克的招式破解，而且并不是人人都能练好这一招一式；<br />编程亦是如此，每个模式虽然威力强劲，但都是比较复杂的实现方式，而且各自都有相对的适用范围和使用后果（好的或坏的）。</li>
<li>学习武功招式，最美妙的地方就是能和其他习武者一起切磋改进，还能相互学习；<br />设计模式的绝顶妙处也是让你和其他设计者有共同语言，并且不用重复制造车轮。</li>
<li>武学宗师能够自创武功；<br />设计大师同样挖掘模式。</li>
<li>武功有欣赏价值；<br />设计有艺术气息。</li>
</ol>
<p>总结起来，无论是习武也好，编程也好，简单才是硬道理，最完美的解决方案属于最简单的方案，而不是最绚丽的方案。</p>
<p>要达到无招的境界，时刻把<a href="http://blog.csdn.net/redraiment/archive/2009/06/21/4286911.aspx" rel="external nofollow noreferrer">《汝当分离软件与信仰》</a>铭记在心。</p>
<p>但所谓的无招也只是冰山的一角，神雕第二十六回，杨过发现独孤求败的剑冢，里面埋藏着三把剑及四片刻有文字的石片，代表着这一代高手的四个阶段。这学剑的四个阶段，其实也可以用于学习处事的四个不同阶段。</p>
<p>第一柄剑长四尺，锋利无比，剑下石片下写着，刚猛凌烈，无坚不摧，弱冠前与河朔群雄争锋。少年人性格刚烈，对世界诸多不满，急于清除一切不公平、不完美的实物，满怀理想到处攻击批评，锐不可当，自觉无坚不摧，与河朔群雄争锋云云更是为之使命的事。</p>
<p>后来就发觉问题了。第二片石片上没有剑，下面写着，紫薇软剑，二十岁前用，误伤义士不详，乃弃之深谷。软剑比平常硬剑难使，比之锐不可当又上一层，但是一味自以为伸张正义，殊不知自己也会有错，以致误伤义士。到这时才明白但凭一时冲动的判断是多么不可靠。所谓不祥，是心生内疚，弃于深谷的不单是误伤义士的软剑，还有少年人不顾一切、不可一世的锐气。</p>
<p>第三把剑顺理成章的事凝重的钝剑。石片下写的是重剑无锋，大巧不工，四十岁之前持之横行天下。老练世故的人，早已学会怎样举重若轻、不露锋芒、反而威力更大。大巧不工这四字知易行难，最重要的是锻炼内力深厚。不过，钝口无知的重剑与利剑、软剑的分别，归根究底仍是技巧上的分别　，目标始终是霸道，持之横行天下。</p>
<p>第四个阶段才是渐入化境，第四柄木剑，石片上文字道，四十岁之后不屑带物，草木竹石均可为剑。自此精进，渐入无剑胜有剑之境。</p>
<p>不屑带物，也就是不被外物所控制了，无剑胜有剑，因为无剑束缚更少、限制更少，木剑不过是聊备一棺。到了四十岁便有这样的进展，不为身外物、不为名利成败所劳役，渐趋淡薄，的确令人羡慕。然而，到了这个境界，人就难免寂寞了，独孤求败连一败也求不到，岂非做尘俗中人更好。</p>
<hr>
<br /><strong>版权声明</strong><br />本博客所有的原创文章，作者皆保留版权。转载必须包含本声明，保持本文完整，并以超链接形式注明作者“redraiment”和<a href="http://blog.csdn.net/" rel="external nofollow noreferrer">主站点</a>上的本文原始地址。</p>
<hr>
<br />我的邮箱，欢迎来信（redraiment@gmail.com）<br />我的玩具箱（<a href="https://sites.google.com/site/redraiment" rel="external nofollow noreferrer">子清行</a>）<br />我的百度空间（<a href="http://hi.baidu.com/redraiment" rel="external nofollow noreferrer">梦婷轩</a>）</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 20:58:17</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%a7%a3%e5%86%b3%e6%96%b9%e6%a1%88/" title="解决方案">解决方案</a>, <a href="https://www.iamivan.net/tag/%e7%bc%96%e7%a8%8b/" title="编程">编程</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>设计模式与武侠的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZdq26M.html" rel="bookmark">&lbrack;Unity 设计模式&rsqb;桥接模式（BridgePattern）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.前言 继上一讲IOC模式的基础上继续本讲桥接模式,笔者感觉桥接模式是23种设计模式中桥接模式是最好用但也是最难理解的设计模式之一,23中设计模式就好武侠剧中一本武功秘籍,我们在工作过程中想要熟练运用其中的每一种设计模式就好比跟高手过招想要能运用好武侠秘籍中的每一招每一式,并且能随着对手出招的不同我们能随机应变对应的招数,这就要求我们对每一种设计模式都理解的非常深刻才能运用自如,打出组合拳的效果. 2.需求 我们在FPS类游戏中会碰到这样的需求--实现武器和角色,无论是敌人还是我方角色都能通过			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMgj8bP.html" rel="bookmark">Android UI设计的幻灯片&colon;新的UI设计模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章描述:谷歌Android UI设计技巧:新的UI设计模式. 本系列文章原是Android的官方开发者博客的一份Android UI设计的幻灯片,51CTO的译者将这份教程5部分进行翻译整理,希望对Android开发者能有帮助.本文为&lt;谷歌Android UI设计技巧&gt;第四部分:新的UI设计模式. 本文为&lt;谷歌Android UI设计技巧&gt;第四部分:新的UI设计模式. [1] [2]  下一页			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/6b3Namz.html" rel="bookmark">您的设计模式，我们的设计模式 java设计模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://download.csdn.net/download/yangxin00000000/3212729   您的设计模式,我们的设计模式 java设计模式			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bB2wOb.html" rel="bookmark">&lbrack;Head First设计模式&rsqb;云南米线馆中的设计模式&mdash;&mdash;模版方法模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				系列文章 [Head First设计模式]山西面馆中的设计模式--装饰者模式 [Head First设计模式]山西面馆中的设计模式--观察者模式 [Head First设计模式]山西面馆中的设计模式--建造者模式 [Head First设计模式]饺子馆(冬至)中的设计模式--工厂模式 [Head First设计模式]一个人的平安夜--单例模式 [Head First设计模式]抢票中的设计模式--代理模式 [Head First设计模式]面向对象的3特征5原则 [Head First设计模式]鸭子			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9MxPk0M.html" rel="bookmark">&lbrack;设计模式实践之路&rsqb;（1）单例模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[简介] 单例模式(Singleton)保证一个类仅有一个实例,并提供一个访问它的全局访问点.      实现单例模式的一个最好的方法就是让类自身负责保存它的唯一实例.这个类可以保证没有其他实例可以创建,并且它可以提供一个访问该实例的方法. [特点] 单例模式具有一下特点: 单例类只有一个实例 单例类必须自己创建自己的唯一实例 单例类必须给所有其他对象提供这一实例 [分类] 主要的就是懒汉单例,饿汉单例 [懒汉单例] package Mode; /** * Java设计模式之单例模式 * @au			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0bo6kjz.html" rel="bookmark">设计模式&lbrack;1&rsqb;-Memento</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				开始研究设计模式.一个非常perfect的设计模式示意图http://www.mcdonaldland.info/2007/11/28/40/ Type: Behavioral Memento:模式在不破坏封装性的情况下,捕获一个对象的内部状态传递到外部,使得稍后可以将该对象恢复到这个状态.代码参考了http://www.cppblog.com/converse/archive/2006/08/09/11063.html #include &lt;iostream&gt; #include &lt;str			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2pLaY0z.html" rel="bookmark">设计模式之观察者模式（关于OC中的KVO&bsol;KVC&bsol;NSNotification）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				学习了这么久的设计模式方面的知识,最大的感触就是,设计模式不能脱离语言特性.近段时间所看的两本书籍,&lt;大话设计模式&gt;里面的代码是C#写的,有一些设计模式实现起来也是采用了C#的语言特性(C#的API,抽象类,在OC中是没有抽象类.没有多继承关系),&lt;设计模式之禅&gt;里面的代码是JAVA写的,与OC差距也是比较大. 但是我想,这些都不是问题,学习设计模式主要学习的是其中的思想,并将之改造成自己所熟悉语言的模式,大同小异.所需要注意的是,在学习的过程中,将之与语言结合起来,多思考.多实践			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/yMArlZp.html" rel="bookmark">关于23种设计模式的有趣见解&lpar;转载&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				好东西不得不转 在网上看见了这篇文章,作者以轻松的语言比喻了java的32种模式,有很好的启发作用. 创建型模式 1.FACTORY-追MM少不了请吃饭了,麦当劳的鸡翅和肯德基的鸡翅都是MM爱吃的东西,虽然口味有所不同,但不管你带MM去麦当劳或肯德基,只管向服务员说&quot;来四个鸡翅&quot;就行了.麦当劳和肯德基就是生产鸡翅的Factory 工厂模式:客户类和工厂类分开.消费者任何时候需要某种产品,只需向工厂请求即可.消费者无须修改就可以接纳新产品.缺点是当产品修改时,工厂类也要做相应的修改.如:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1MvGl6p.html" rel="bookmark">工厂设计模式 Factory</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Factory 主要用来实例化有共同接口的类,工厂模式可以动态决定应该实例化那一个类. 例如:汽车销售商场 该模式将创建对象的过程放在了一个静态方法中来实现.在实际编程中,如果需要大量的创建对象,该模式是比较理想的. public class Demo1 { public static void main(String[] args) { System.out.println(&quot;买宝马&quot;); Car bmw = CarFactory(&quot;BMW&quot;); bmw.run(			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvXm9z.html" rel="bookmark" class="title">提高网站关键词排名必要的10个技巧</a>
					<div>
						如何做好自己网站关键词的排名,是每个seoer都非常关系的问题,今天跟大家交流下我这几年来对优化的接触和经历,跟大家分享下其中的技巧和注意事项!对提高你网站排名绝对有好处! 一:网站关键词的处理:包括 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvddVz.html" rel="bookmark" class="title">FW制作照片连续滚动效果</a>
					<div>
						本文中我们建立一个具有胶片形式的动态影视Banner,首先制作一个具有胶片效果的边框,接着使用帧面板制作GIF动画效果.主要熟悉Fireworks MX 2004中组合.帧面板.修改画布大小.动画面板 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWv0Ab.html" rel="bookmark" class="title">REDIM陷阱（很多人都看过了吧）</a>
					<div>
						  文章标题:ReDim Preserve 執行效能上的陷阱 Christoph Wille   aspxcn.com   2002-07-24   ReDim Preserve 執行效能上的陷阱在  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBwXQb.html" rel="bookmark" class="title">WPA无线加密简介</a>
					<div>
						WPA 全名为 Wi-Fi Protected Access,有WPA 和 WPA2两个标准,是一种保护无线电脑网络(Wi-Fi)安全的系统,它是应研究者在前一代的系统有线等效加密(WEP)中找到的几 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgK0rEM.html" rel="bookmark" class="title">在Word 2010中使用草稿品质打印文档</a>
					<div>
						用户可以在Word 2010中使用草稿品质打印文档,以便能够以较低的分辨率打印Word文档,从而实现降低耗材费用.提高打印 速度的目的,具体操作步骤如下所述: 第1步,打开Word 2010文档窗口, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrAVkp.html" rel="bookmark" class="title">谷歌拼音如何使用谷歌拼音的一键搜索功能</a>
					<div>
						现在,您可以使用 &quot;Ctrl+G&quot;快捷键进行一键搜索了.只要在输入框内选中候选字,然后按&quot;Ctrl+G&quot;,您就可以在 Google 网页搜索中搜索当前候选字词.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVn4Jmz.html" rel="bookmark" class="title">php截取中文字符串不乱码的方法</a>
					<div>
						 利用php内置方法mb_substr截取中文不乱码,使用起来非常简单,大家参考使用吧  GBK编码截取示例   代码如下: $str = '我是谁';  //gbk编码的字符串 echo mb_su ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAVEXb.html" rel="bookmark" class="title">PPT配色上面的那些技巧</a>
					<div>
						  其实PPT配色这个问题呢,是一个可以简单,也可以复杂的问题,简单是对有色彩感的人来说很简单,复杂是对80%的人来说很复杂,而这80%人中的80%是男生,为什么会是男生色彩感比较差呢?这和荷尔蒙有关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mydn8vb.html" rel="bookmark" class="title">外媒：中国TA459 APT组织利用CVE-2017-0199攻击顶级金融公司</a>
					<div>
						本文讲的是外媒:中国TA459 APT组织利用CVE-2017-0199攻击顶级金融公司, Proofpoint在4月20日发表了一项针对性的入侵报告,专注攻击俄罗斯和邻国的顶级金融公司工作的金融分析 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd0wkb.html" rel="bookmark" class="title">关联分析 数据集-关联分析相关的数据集</a>
					<div>
						问题描述 关联分析相关的数据集 毕设题是在spark上实现关联分析,求问有没有人有购物篮的相关数据集(大概需要上万条记录),或者可不可以教教我怎么在KDD,SIGIR等相关数据挖掘会议网站上找数据集, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94PJXb.html" rel="bookmark" class="title">html5-javascript从什么时候开始不需要在script里输入type？</a>
					<div>
						问题描述 javascript从什么时候开始不需要在script里输入type? 如题,什么时候开始的不需要输入type=&quot;text/javascript&quot;的?哪个版本开始的呢?现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKyeBb.html" rel="bookmark" class="title">iOS开发Swift篇&mdash;（七）函数&lpar;1&rpar;</a>
					<div>
						一.函数的定义 (1)函数的定义格式 1 func 函数名(形参列表) -&gt; 返回值类型 { 2 // 函数体... 3 4 } (2)形参列表的格式 形参名1: 形参类型1, 形参名2: 形参 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNlPqM.html" rel="bookmark" class="title">《HttpClient官方文档》2&period;7 连接套接字工厂</a>
					<div>
						2.7. Socket连接工厂 HTTP连接在内部使用java.net.Socket类的对象来处理数据在线路上的传输. 然而,他们依靠 ConnectionSocketFactory接口来创建,初始化 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M128R5p.html" rel="bookmark" class="title">java-Intellij IDEA &plus; cucumber，不能自动生成代码</a>
					<div>
						问题描述 Intellij IDEA + cucumber,不能自动生成代码 各位大虾,我用Intellij 14.1.5 社区免费版,cucumber是用Maven库依赖的. 也下载了&quot;腌 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK51a7p.html" rel="bookmark" class="title">windows phone 7 通过麦克风录音&comma;并且播放</a>
					<div>
						原文:windows phone 7 通过麦克风录音,并且播放 //模拟XNA的框架(凡是在wp7中应用xna的都必须先模拟此类) public class XNAAsyncDispatcher :  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAE99AM.html" rel="bookmark" class="title">SCVMM更换数据库，如何搞？</a>
					<div>
						因为SCVMM和SQL不是集成在同一台机器上的. 所以,当SQL换机器或是换名字后,SCVMM就不能启动了. 并且MS没提供直观的更改数据库连接的工具,只是在安装的时候有选项. 网上找了方法,修改注册 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYN2Lep.html" rel="bookmark" class="title">Linkedin中国本地化布局启动 中文网页和合资伙伴&OpenCurlyDoubleQuote;落子&rdquo;</a>
					<div>
						从今天,也就是2月25日开始,可能很多人会像我一样,通过微博或者邮件各个渠道,收到来自朋友的邀请,加入Linkedin 他(她)的职业人脉圈,当然,此时在Linkedin背后还有个注释--&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkALez.html" rel="bookmark" class="title">jQuery使用ajax跨域请求获取数据&lowbar;AJAX相关</a>
					<div>
						跨域是我在日常面试中经常会问到的问题,这词在前端界出现的频率不低,主要原因还是由于安全限制(同源策略, 即JavaScript或Cookie只能访问同域下的内容),因为我们在日常的项目开发时会不可避免 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0eN5z.html" rel="bookmark" class="title">使用Linux正则表达式灵活搜索文件中的文本&lowbar;正则表达式</a>
					<div>
						 正则表达式是一种符号表示法,用于识别文本模式.Linux处理正则表达式的主要程序是grep.grep搜索与正则表达式匹配的行,并将结果输送至标准输出. 1. grep匹配模式 grep按下述方式接受 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8qANp.html" rel="bookmark" class="title">php5&period;3不能连接mssql数据库的解决方法&lowbar;php技巧</a>
					<div>
						本文实例讲述了php5.3不能连接mssql数据库的解决方法.分享给大家供大家参考.具体分析如下: 自从php5.3之后系统就不支持mssql_connect这个函数连接了,以前我也讲可以使用com接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba61DXM.html" rel="bookmark" class="title">js前台分页显示后端JAVA数据响应&lowbar;javascript技巧</a>
					<div>
						好久没有写过代码了,手有些痒了,正好底下小弟们某些功能的实现着实影响工程进度,便自己动手给写了一段. 功能:js前台分页显示 + 后台数据响应(JAVA Servlet即可) 框架:jquery1.8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkDodM.html" rel="bookmark" class="title">互联网思维</a>
					<div>
						由著名主持人梁冬创办的&lt;东吴相对论&gt;栏目,日前播出了一期名为&lt;http://www.aliyun.com/zixun/aggregation/9880.html&quot;&gt;互 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKGXWz.html" rel="bookmark" class="title">学习vb&period;net需要什么</a>
					<div>
						问题描述 众所周知,学习一门技术的话,除了勤奋之外,还需要好的方法和技巧.因工作需要,现在我想好好学习一下vb.net,请问有什么好的书籍.网站.工具,以及好的方法和技巧,请大家不吝赐教.谢谢了 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvNxWM.html" rel="bookmark" class="title">SQLServer表变量对IO及内存影响测试</a>
					<div>
						原文:SQLServer表变量对IO及内存影响测试 1. 测试创建表变量对IO的影响 测试创建表变量前后,tempdb的空间大小,目前使用sp_spaceused得到大小,也可以使用视图sys.dm_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgP3GZp.html" rel="bookmark" class="title">RabbitMQ之RPC实现</a>
					<div>
						什么是RPC? RPC是指远程过程调用,也就是说两台服务器A,B,一个应用部署在A服务器上,想要调用B服务器上应用提供的函数/方法,由于不在一个内存空间,不能直接调用,需要通过网络来表达调用的语义和传 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YVOAp.html" rel="bookmark" class="title">与电子商务结合或将成为垂直细分视频网站发展新思路</a>
					<div>
						由库拉诺投资集团投资的视频网站&quot;时髦.TV(Shimao.TV)&quot;正式上线.和其他的视频网站不同,Shimao.TV主打时尚人群,其投资方库拉诺集团甚至买下了法国时尚电视台(FTV ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9N2Oop.html" rel="bookmark" class="title">php-fpm的重启&sol;关闭</a>
					<div>
						php 5.3.3 下的php-fpm 不再支持 php-fpm 以前具有的 /usr/local/php/sbin/php-fpm (start|stop|reload)等命令,需要使用信号控制:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWB58p.html" rel="bookmark" class="title">白帽渗透测试的36条军规</a>
					<div>
						本文讲的是 白帽渗透测试的36条军规,几年前,360出过一个黑掉北京公交一卡通系统的事,当时我应邀给一些渗透测试人员做过一个关于渗透测试行业自律和职业规范的报告.其中提到了ISECOM的Open So ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZmNVkp.html" rel="bookmark" class="title">长安汽车拟购保定长客和长安跨越两公司股权</a>
					<div>
						长安汽车(000625)周一晚间公告称,公司拟收购保定长安客车制造有限公司100%的股权和重庆长安跨越车辆有限公司34.3%的股权. 以上被收购股权均为重庆长安工业(集团)有限责任公司持有,其为公司实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr7XX1p.html" rel="bookmark" class="title">亿佰购物或将倒闭原因是为何呢</a>
					<div>
						信用卡的分期购物平台,亿佰购物,近期由于资金的压力陷入了困境,不少的消费者已付款订单,但是发货却迟迟未来.有维权者表示称,亿佰购物已经在北京海淀法院提出了破产的申请. 一.银行跟消费者为谁买单扯皮 6 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
